---
updatedAt: 2026-09-27T12:25:14.000Z
agentTools:
  projectIndex: https://api-docs.aevo.xyz/llms.txt
---

# GET /builder-config

Returns the protocol builder fee configuration. max_fee_rate_perps is null until Aevo sets it, and while unset all builder approvals and orders are rejected.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "error_429_response": {
        "title": "error_429_response",
        "type": "string",
        "description": "Error message. Eg. `RATE_LIMIT_EXCEEDED`",
        "example": "RATE_LIMIT_EXCEEDED"
      },
      "error_500_response": {
        "title": "error_500_response",
        "type": "string",
        "description": "Error message. Eg. `INTERNAL_ERROR`",
        "example": "INTERNAL_ERROR"
      },
      "max_fee_rate_perps_response": {
        "title": "max_fee_rate_perps_response",
        "type": "string",
        "description": "Protocol maximum builder fee rate for perpetuals as a decimal fraction (0.0005 = 5 bps), or null while unset. A builder_fee_rate or approval max_fee_rate above it is rejected. Eg. `0.0005`",
        "example": "0.0005"
      }
    }
  },
  "info": {
    "contact": {
      "email": "ken@ribbon.finance",
      "name": "Ribbon Finance",
      "url": "https://ribbon.finance"
    },
    "description": "Aevo",
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Aevo REST API",
    "version": "1.0.0"
  },
  "openapi": "3.0.0",
  "paths": {
    "/builder-config": {
      "get": {
        "summary": "GET /builder-config",
        "tags": [
          "Public API"
        ],
        "operationId": "GetBuilderConfig",
        "description": "Returns the protocol builder fee configuration. max_fee_rate_perps is null until Aevo sets it, and while unset all builder approvals and orders are rejected.",
        "responses": {
          "200": {
            "description": "Protocol builder configuration.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetBuilderConfig200Response",
                  "type": "object",
                  "properties": {
                    "max_fee_rate_perps": {
                      "$ref": "#/components/schemas/max_fee_rate_perps_response"
                    }
                  },
                  "required": [
                    "max_fee_rate_perps"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "Rate limit exceeded.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GenericErrorResponse",
                  "type": "object",
                  "properties": {
                    "error": {
                      "$ref": "#/components/schemas/error_429_response"
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GenericErrorResponse",
                  "type": "object",
                  "properties": {
                    "error": {
                      "$ref": "#/components/schemas/error_500_response"
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "description": "Aevo REST API",
      "url": "https://api.aevo.xyz"
    }
  ],
  "tags": [
    {
      "description": "Public APIs do not require authentication",
      "name": "Public API"
    }
  ],
  "x-stoplight": {
    "id": "gl4g3krom0lvw"
  }
}
```